## ppp 2.4.5-3

=== Makefile ===
# PPP top-level Makefile for Linux.

DESTDIR = $(INSTROOT)/opt/usr
BINDIR = $(DESTDIR)/sbin
INCDIR = $(DESTDIR)/include
MANDIR = $(DESTDIR)/share/man
ETCDIR = $(INSTROOT)/etc/ppp

# uid 0 = root
INSTALL= install

all:
	cd chat; $(MAKE) $(MFLAGS) all
	cd pppd/plugins; $(MAKE) $(MFLAGS) all
	cd pppd; $(MAKE) $(MFLAGS) all
	cd pppstats; $(MAKE) $(MFLAGS) all
	cd pppdump; $(MAKE) $(MFLAGS) all

install: $(BINDIR) $(MANDIR)/man8 install-progs install-devel

install-progs:
	cd chat; $(MAKE) $(MFLAGS) install
	cd pppd/plugins; $(MAKE) $(MFLAGS) install
	cd pppd; $(MAKE) $(MFLAGS) install
	cd pppstats; $(MAKE) $(MFLAGS) install
	cd pppdump; $(MAKE) $(MFLAGS) install

install-etcppp: $(ETCDIR) $(ETCDIR)/options $(ETCDIR)/pap-secrets \
	$(ETCDIR)/chap-secrets

install-devel:
	cd pppd; $(MAKE) $(MFLAGS) install-devel

$(ETCDIR)/options:
	$(INSTALL) -c -m 644 etc.ppp/options $@
$(ETCDIR)/pap-secrets:
	$(INSTALL) -c -m 600 etc.ppp/pap-secrets $@
$(ETCDIR)/chap-secrets:
	$(INSTALL) -c -m 600 etc.ppp/chap-secrets $@

$(BINDIR):
	$(INSTALL) -d -m 755 $@
$(MANDIR)/man8:
	#Not installing documentation in order to conserve space.
	#$(INSTALL) -d -m 755 $@
	echo Skipping...
$(ETCDIR):
	$(INSTALL) -d -m 755 $@

clean:
	rm -f `find . -name '*.[oas]' -print`
	rm -f `find . -name 'core' -print`
	rm -f `find . -name '*~' -print`
	cd chat; $(MAKE) clean
	cd pppd/plugins; $(MAKE) clean
	cd pppd; $(MAKE) clean
	cd pppstats; $(MAKE) clean
	cd pppdump; $(MAKE) clean

dist-clean:	clean
	rm -f Makefile `find . -name Makefile -print`

#kernel:
#	cd linux; ./kinstall.sh

# no tests yet, one day...
installcheck:
	true

=== chat/Makefile ===
#	$Id: Makefile.linux,v 1.15 2006/06/04 05:07:46 paulus Exp $

DESTDIR = $(INSTROOT)/opt/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8

CDEF1=	-DTERMIOS			# Use the termios structure
CDEF2=	-DSIGTYPE=void			# Standard definition
CDEF3=	-UNO_SLEEP			# Use the usleep function
CDEF4=	-DFNDELAY=O_NDELAY		# Old name value
CDEFS=	$(CDEF1) $(CDEF2) $(CDEF3) $(CDEF4)

COPTS=	-O2 -g -pipe
CFLAGS=	$(COPTS) $(CDEFS)

INSTALL= install

all:	chat

chat:	chat.o
	$(CC) -o chat chat.o

chat.o:	chat.c
	$(CC) -c $(CFLAGS) -o chat.o chat.c

install: chat
	mkdir -p $(BINDIR) $(MANDIR)
	$(INSTALL) -s -c chat $(BINDIR)
	$(INSTALL) -c -m 644 chat.8 $(MANDIR)

clean:
	rm -f chat.o chat *~

=== pppd/plugins/Makefile ===
#CC	= gcc
COPTS	= -O2 -g
CFLAGS	= $(COPTS) -I.. -I../../include -fPIC
LDFLAGS	= -shared
INSTALL	= install

DESTDIR = $(INSTROOT)/opt/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

SUBDIRS := rp-pppoe pppoatm pppol2tp
# Uncomment the next line to include the radius authentication plugin
SUBDIRS += radius
PLUGINS := minconn.so passprompt.so passwordfd.so winbind.so

# include dependencies if present
ifeq (.depend,$(wildcard .depend))
include .depend
endif

all:	$(PLUGINS)
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d all; done

%.so: %.c
	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../patchlevel.h)

install: $(PLUGINS)
	$(INSTALL) -d $(LIBDIR)
	$(INSTALL) $? $(LIBDIR)
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d install; done

clean:
	rm -f *.o *.so *.a
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d clean; done

depend:
	$(CPP) -M $(CFLAGS) *.c >.depend
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d depend; done

=== pppd/plugins/pppoatm/Makefile ===
#CC	= gcc
COPTS	= -O2 -g
CFLAGS	= $(COPTS) -I../.. -I../../../include -fPIC
LDFLAGS	= -shared
INSTALL	= install

#***********************************************************************

DESTDIR = $(INSTROOT)/opt/usr
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../../patchlevel.h)

PLUGIN := pppoatm.so
PLUGIN_OBJS := pppoatm.o 

#*******
# Do we have the ATM libraries installed? Set HAVE_LIBATM to use them,
# or leave it unset to build the few routines we actually _use_ into
# the plugin directly.
#
#HAVE_LIBATM=yes

ifdef HAVE_LIBATM
LIBS := -latm
else
CFLAGS += -I.
PLUGIN_OBJS += text2qos.o text2atm.o misc.o ans.o
LIBS := -lresolv
endif

#*********
all: $(PLUGIN)

$(PLUGIN): $(PLUGIN_OBJS)
	$(CC) $(CFLAGS) -o $@ -shared $^ $(LIBS)

install: all
	$(INSTALL) -d -m 755 $(LIBDIR)
	$(INSTALL) -c -m 4550 $(PLUGIN) $(LIBDIR)

clean:
	rm -f *.o *.so

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== pppd/plugins/pppol2tp/Makefile ===
#CC	= gcc
COPTS	= -O2 -g
CFLAGS	= $(COPTS) -I. -I../.. -I../../../include -fPIC
LDFLAGS	= -shared
INSTALL	= install

#***********************************************************************

DESTDIR = /opt/usr
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../../patchlevel.h)

PLUGINS := pppol2tp.so openl2tp.so

all: $(PLUGINS)

%.so: %.o
	$(CC) $(CFLAGS) -o $@ -shared $^ $(LIBS)

install: all
	$(INSTALL) -d -m 755 $(LIBDIR)
	$(INSTALL) -c -m 4550 $(PLUGINS) $(LIBDIR)

clean:
	rm -f *.o *.so

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== pppd/plugins/radius/Makefile ===
# Makefile for RADIUS plugin
#
# Copyright 2002 Roaring Penguin Software Inc.
#

DESTDIR = $(INSTROOT)/opt/usr
MANDIR = $(DESTDIR)/share/man/man8
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../../patchlevel.h)

INSTALL	= install

PLUGIN=radius.so radattr.so radrealms.so
CFLAGS=-I. -I../.. -I../../../include -O2 -fPIC -DRC_LOG_FACILITY=LOG_DAEMON

# Uncomment the next line to include support for Microsoft's
# MS-CHAP authentication protocol.
CHAPMS=y
# Uncomment the next line to include support for MPPE.
MPPE=y
# Uncomment the next lint to include support for traffic limiting
MAXOCTETS=y

ifdef CHAPMS
CFLAGS += -DCHAPMS=1
ifdef MPPE
CFLAGS += -DMPPE=1
endif
endif
ifdef MAXOCTETS
CFLAGS += -DMAXOCTETS=1
endif

all: $(PLUGIN)

install: all
	$(INSTALL) -d -m 755 $(LIBDIR)
	$(INSTALL) -s -c -m 755 radius.so $(LIBDIR)
	$(INSTALL) -s -c -m 755 radattr.so $(LIBDIR)
	$(INSTALL) -s -c -m 755 radrealms.so $(LIBDIR)
	$(INSTALL) -c -m 444 pppd-radius.8 $(MANDIR)
	$(INSTALL) -c -m 444 pppd-radattr.8 $(MANDIR)

radius.so: radius.o libradiusclient.a
	$(CC) -o radius.so -shared radius.o libradiusclient.a

radattr.so: radattr.o
	$(CC) -o radattr.so -shared radattr.o

radrealms.so: radrealms.o
	$(CC) -o radrealms.so -shared radrealms.o

CLIENTOBJS = avpair.o buildreq.o config.o dict.o ip_util.o \
	clientid.o sendserver.o lock.o util.o md5.o
libradiusclient.a: $(CLIENTOBJS)
	$(AR) rv $@ $?

clean:
	rm -f *.o *.so *.a

distclean:
	rm -f *.o *.so *.a

dist-clean: distclean

=== pppd/plugins/rp-pppoe/Makefile ===
# Generated automatically from Makefile.in by configure.
#***********************************************************************
#
# Makefile
#
# Makefile for Roaring Penguin's Linux PPPoE plugin.
# Modified for integration with pppd sources by Paul Mackerras.
#
# Copyright (C) 2001 Roaring Penguin Software Inc.
#
# This program may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
#
# $Id: Makefile.linux,v 1.8 2008/06/09 08:34:23 paulus Exp $
#***********************************************************************

DESTDIR = $(INSTROOT)/opt/usr
BINDIR = $(DESTDIR)/sbin
LIBDIR = $(DESTDIR)/lib/pppd/$(PPPDVERSION)

PPPDVERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../../patchlevel.h)

INSTALL	= install

# Version is set ONLY IN THE MAKEFILE!  Don't delete this!
RP_VERSION=3.8p

COPTS=-O2 -g
CFLAGS=$(COPTS) -I../../../include '-DRP_VERSION="$(RP_VERSION)"'
all: rp-pppoe.so pppoe-discovery

pppoe-discovery: pppoe-discovery.o debug.o
	$(CC) -o pppoe-discovery pppoe-discovery.o debug.o

pppoe-discovery.o: pppoe-discovery.c
	$(CC) $(CFLAGS) -c -o pppoe-discovery.o pppoe-discovery.c

debug.o: debug.c
	$(CC) $(CFLAGS) -c -o debug.o debug.c

rp-pppoe.so: plugin.o discovery.o if.o common.o
	$(CC) -o rp-pppoe.so -shared plugin.o discovery.o if.o common.o

install: all
	$(INSTALL) -d -m 755 $(LIBDIR)
	$(INSTALL) -s -c -m 4550 rp-pppoe.so $(LIBDIR)
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) -s -c -m 555 pppoe-discovery $(BINDIR)

clean:
	rm -f *.o *.so pppoe-discovery

plugin.o: plugin.c
	$(CC) $(CFLAGS) -I../../.. -c -o plugin.o -fPIC plugin.c

discovery.o: discovery.c
	$(CC) $(CFLAGS) -I../../.. -c -o discovery.o -fPIC discovery.c

if.o: if.c
	$(CC) $(CFLAGS) -I../../.. -c -o if.o -fPIC if.c

common.o: common.c
	$(CC) $(CFLAGS) -I../../.. -c -o common.o -fPIC common.c

=== debian/changelog ===
ppp (2.4.5-3) unstable; urgency=low

  * 'Optified' package.
  * Added dependency on Enhanced Kernel.

 -- unknown <gjames@mail>  Fri,  29 Jul 2011 08:01:34 -0500

=== debian/control ===
Source: ppp
Section: user/network 
Priority: standard
Maintainer: unknown <gjames@mail>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: ppp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-ppp
Description: The Point-to-Point Protocol provides a standard way to transmit datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics of the link.  This package is most commonly used to manage a modem for dial-up or certain kinds of broadband connections. Requires a compatible kernel, e.g kernel-power (>=46)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ppp.sgml > ppp.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ppp.
	$(MAKE) prefix=$(CURDIR)/debian/ppp/usr DEST=$(CURDIR)/debian/ppp/usr INSTROOT=$(CURDIR)/debian/ppp install
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/usr --mandir=/usr/share/man --infodir=/usr/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ppp.sgml > ppp.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ppp.
	#no #@#$ idea why it installs to debian/tmp
	$(MAKE) INSTROOT=$(CURDIR)/debian/ppp install && \
	rm -rf $(CURDIR)/debian/tmp/usr && \
	mv $(CURDIR)/debian/ppp/opt $(CURDIR)/debian/tmp/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes-2.3
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install 


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes-2.3
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ppp 2.4.5-4

=== pppd/Makefile ===
#
# pppd makefile for Linux
# $Id: Makefile.linux,v 1.70 2007/06/19 02:08:34 carlsonj Exp $
#

# Default installation locations
DESTDIR = $(INSTROOT)/opt/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8
INCDIR = $(DESTDIR)/include

TARGETS = pppd

PPPDSRCS = main.c magic.c fsm.c lcp.c ipcp.c upap.c chap-new.c md5.c ccp.c \
	   ecp.c ipxcp.c auth.c options.c sys-linux.c md4.c chap_ms.c \
	   demand.c utils.c tty.c eap.c chap-md5.c session.c

HEADERS = ccp.h session.h chap-new.h ecp.h fsm.h ipcp.h \
	ipxcp.h lcp.h magic.h md5.h patchlevel.h pathnames.h pppd.h \
	upap.h eap.h

MANPAGES = pppd.8
PPPDOBJS = main.o magic.o fsm.o lcp.o ipcp.o upap.o chap-new.o md5.o ccp.o \
	   ecp.o auth.o options.o demand.o utils.o sys-linux.o ipxcp.o tty.o \
	   eap.o chap-md5.o session.o

#
# include dependencies if present
ifeq (.depend,$(wildcard .depend))
include .depend
endif

# CC = gcc
#
COPTS = -O2 -pipe -Wall -g
LIBS =

# Uncomment the next 2 lines to include support for Microsoft's
# MS-CHAP authentication protocol.  Also, edit plugins/radius/Makefile.linux.
CHAPMS=y
USE_CRYPT=y
# Don't use MSLANMAN unless you really know what you're doing.
#MSLANMAN=y
# Uncomment the next line to include support for MPPE.  CHAPMS (above) must
# also be enabled.  Also, edit plugins/radius/Makefile.linux.
MPPE=y

# Uncomment the next line to include support for PPP packet filtering.
# This requires that the libpcap library and headers be installed
# and that the kernel driver support PPP packet filtering.
FILTER=y

# Uncomment the next line to enable multilink PPP (enabled by default)
# Linux distributions: Please leave multilink ENABLED in your builds
# of pppd!
HAVE_MULTILINK=y

# Uncomment the next line to enable the TDB database (enabled by default.)
# If you enable multilink, then TDB is automatically enabled also.
# Linux distributions: Please leave TDB ENABLED in your builds.
USE_TDB=y

HAS_SHADOW=y
#USE_PAM=y
#HAVE_INET6=y

# Enable plugins
PLUGIN=y

# Enable Microsoft proprietary Callback Control Protocol
#CBCP=y

# Enable EAP SRP-SHA1 authentication (requires libsrp)
#USE_SRP=y

MAXOCTETS=y

INCLUDE_DIRS= -I../include

COMPILE_FLAGS= -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP

CFLAGS= $(COPTS) $(COMPILE_FLAGS) $(INCLUDE_DIRS) '-DDESTDIR="/opt/usr"'

ifdef CHAPMS
CFLAGS   += -DCHAPMS=1
NEEDDES=y
PPPDOBJS += md4.o chap_ms.o
HEADERS	+= md4.h chap_ms.h
ifdef MSLANMAN
CFLAGS   += -DMSLANMAN=1
endif
ifdef MPPE
CFLAGS   += -DMPPE=1
endif
endif

# EAP SRP-SHA1
ifdef USE_SRP
CFLAGS	+= -DUSE_SRP -DOPENSSL -I/usr/local/ssl/include
LIBS	+= -lsrp -L/usr/local/ssl/lib -lcrypto
TARGETS	+= srp-entry
EXTRAINSTALL = $(INSTALL) -s -c -m 555 srp-entry $(BINDIR)/srp-entry
MANPAGES += srp-entry.8
EXTRACLEAN += srp-entry.o
NEEDDES=y
else
# OpenSSL has an integrated version of SHA-1, and its implementation
# is incompatible with this local SHA-1 implementation.  We must use
# one or the other, not both.
PPPDSRCS += sha1.c
HEADERS += sha1.h
PPPDOBJS += sha1.o
endif

ifdef HAS_SHADOW
CFLAGS   += -DHAS_SHADOW
#LIBS     += -lshadow $(LIBS)
endif

ifneq ($(wildcard /usr/include/crypt.h),)
CFLAGS  += -DHAVE_CRYPT_H=1
LIBS	+= -lcrypt
endif

ifdef NEEDDES
ifndef USE_CRYPT
LIBS     += -ldes $(LIBS)
else
CFLAGS   += -DUSE_CRYPT=1
endif
PPPDOBJS += pppcrypt.o
HEADERS += pppcrypt.h
endif

# For "Pluggable Authentication Modules", see ftp.redhat.com:/pub/pam/.
ifdef USE_PAM
CFLAGS   += -DUSE_PAM
LIBS     += -lpam -ldl
endif

# Multi-linnk
ifdef HAVE_MULTILINK
	# Multilink implies the use of TDB
	USE_TDB=y

	CFLAGS += -DHAVE_MULTILINK
	PPPDSRCS += multilink.c
	PPPDOBJS += multilink.o
endif

# TDB
ifdef USE_TDB
	CFLAGS += -DUSE_TDB=1
	PPPDSRCS += tdb.c spinlock.c
	PPPDOBJS += tdb.o spinlock.o
	HEADERS += tdb.h spinlock.h
endif

# Lock library binary for Linux is included in 'linux' subdirectory.
ifdef LOCKLIB
LIBS     += -llock
CFLAGS   += -DLOCKLIB=1
endif

ifdef PLUGIN
CFLAGS	+= -DPLUGIN
LDFLAGS	+= -Wl,-E
LIBS	+= -ldl
endif

ifdef FILTER
ifneq ($(wildcard /usr/include/pcap-bpf.h),)
LIBS    += -lpcap
CFLAGS  += -DPPP_FILTER
endif
endif

ifdef HAVE_INET6
     PPPDSRCS += ipv6cp.c eui64.c
     HEADERS  += ipv6cp.h eui64.h
     PPPDOBJS += ipv6cp.o eui64.o
     CFLAGS   += -DINET6=1
endif

ifdef CBCP
     PPPDSRCS += cbcp.c
     PPPDOBJS += cbcp.o
     CFLAGS += -DCBCP_SUPPORT
     HEADERS += cbcp.h
endif

ifdef MAXOCTETS
     CFLAGS += -DMAXOCTETS
endif

INSTALL= install

all: $(TARGETS)

install: pppd
	mkdir -p $(BINDIR) $(MANDIR)
	$(EXTRAINSTALL)
	$(INSTALL) -s -c -m 555 pppd $(BINDIR)/pppd
	if chgrp pppusers $(BINDIR)/pppd 2>/dev/null; then \
	  chmod o-rx,u+s $(BINDIR)/pppd; fi
	$(INSTALL) -c -m 444 pppd.8 $(MANDIR)

pppd: $(PPPDOBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o pppd $(PPPDOBJS) $(LIBS)

srp-entry:	srp-entry.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ srp-entry.c $(LIBS)

install-devel:
	mkdir -p $(INCDIR)/pppd
	$(INSTALL) -c -m 644 $(HEADERS) $(INCDIR)/pppd

clean:
	rm -f $(PPPDOBJS) $(EXTRACLEAN) $(TARGETS) *~ #* core

depend:
	$(CPP) -M $(CFLAGS) $(PPPDSRCS) >.depend

=== pppdump/Makefile ===
DESTDIR = $(INSTROOT)/opt/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8

CFLAGS= -O -I../include/net
OBJS = pppdump.o bsd-comp.o deflate.o zlib.o

INSTALL= install

all:	pppdump

pppdump: $(OBJS)
	$(CC) -o pppdump $(OBJS)

clean:
	rm -f pppdump $(OBJS) *~

install:
	mkdir -p $(BINDIR) $(MANDIR)
	$(INSTALL) -s -c pppdump $(BINDIR)
	$(INSTALL) -c -m 444 pppdump.8 $(MANDIR)

=== pppstats/Makefile ===
#
# pppstats makefile
# $Id: Makefile.linux,v 1.9 2006/06/04 05:07:46 paulus Exp $
#
DESTDIR = $(INSTROOT)/opt/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8

PPPSTATSRCS = pppstats.c
PPPSTATOBJS = pppstats.o

#CC = gcc
COPTS = -O
COMPILE_FLAGS = -I../include
LIBS =

INSTALL= install

CFLAGS = $(COPTS) $(COMPILE_FLAGS)

all: pppstats

install: pppstats
	-mkdir -p $(MANDIR)
	$(INSTALL) -s -c pppstats $(BINDIR)
	$(INSTALL) -c -m 444 pppstats.8 $(MANDIR)

pppstats: $(PPPSTATSRCS)
	$(CC) $(CFLAGS) -o pppstats pppstats.c $(LIBS)

clean:
	rm -f pppstats *~ #* core

depend:
	cpp -M $(CFLAGS) $(PPPSTATSRCS) >.depend
#	makedepend $(CFLAGS) $(PPPSTATSRCS)

=== debian/changelog ===
ppp (2.4.5-4) unstable; urgency=low

  * Removed dependency on Enhanced Kernel.

 -- unknown <gjames@mail>  Fri,  11 Aug 2011 09:01:26 -0500

=== debian/control ===
Source: ppp
Section: user/network 
Priority: standard
Maintainer: unknown <gjames@mail>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: ppp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Point-to-Point Protocol provides a standard way to transmit datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics of the link.  This package is most commonly used to manage a modem for dial-up or certain kinds of broadband connections.

## ppp 2.4.6

=== debian/changelog ===
ppp (2.4.6-3~bpo70+1) stable; urgency=medium

  * Backported to wheezy.

 -- Wessel Dankers <W.S.L.Dankers@uvt.nl>  Fri, 02 Jan 2015 22:02:34 +0100

ppp (2.4.6-3) unstable; urgency=high

  * Urgency high due to fix for CVE-2014-3158.
  * Cherry-pick patches from 2.4.7 upstream release. These are 9 of 11 patches
    in the 2.4.7 upstream release of PPP, including the fix for CVE-2014-3158.
    The two patches left out were not imported in order to preserve ABI
    stability. (Closes: #762789)
    - ppp-2.4.7-001-pppd-Separate-IPv6-handling-for-sifup-sifdown.patch
    - ppp-2.4.7-002-pppol2tp-Connect-up-down-events-to-notifiers-and-add.patch
    - ppp-2.4.7-003-pppd-Add-declarations-to-eliminate-compile-warnings.patch
    - ppp-2.4.7-004-pppd-Eliminate-some-unnecessary-ifdefs.patch
    - ppp-2.4.7-005-radius-Fix-realms-config-file-option.patch
    - ppp-2.4.7-006-pppd-Eliminate-potential-integer-overflow-in-option-.patch
    - ppp-2.4.7-007-pppd-Eliminate-memory-leak-with-multiple-instances-o.patch
    - ppp-2.4.7-008-pppd-Fix-a-stack-variable-overflow-in-MSCHAP-v2.patch
    - ppp-2.4.7-009-winbind-plugin-Add-DMPPE-1-to-eliminate-compiler-war.patch
  * Refresh debian/patches/cifdefroute.dif
  * Update Standards-Version to 3.9.6 (no changes required).

 -- Chris Boot <debian@bootc.net>  Sun, 19 Oct 2014 10:47:59 +0100

ppp (2.4.6-2) unstable; urgency=medium

  * d/rules: Fix ppp-udeb module path by using a shell expression for PPPDDIR.
  * Update Breaks for network-manager to (<< 0.9.8.8-7~). (Closes: #744814)
  * Update Breaks for network-manager-pptp and pppdcapiplugin.
  * Update lintian overrides to account for changed plugin path.

 -- Chris Boot <debian@bootc.net>  Thu, 17 Apr 2014 22:19:23 +0100

ppp (2.4.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #718873)
  * Enable GPG signature checking for uscan:
    - Add pgpsigurlmangle option to debian/watch
    - Add debian/upstream/signing-key.asc
    - Remove linitian override for debian-watch-may-check-gpg-signature

 -- Chris Boot <debian@bootc.net>  Sun, 13 Apr 2014 23:22:19 +0100

ppp (2.4.5+git20130610-4) unstable; urgency=medium

  * Remove obsolete --update-rcd-params from dh_installinit. (Closes: #727162)
  * Remove obsolete Build-Depends on quilt.
  * Add systemd service file for ppp-dns: (Closes: #716864)
    - Build-Depend on dh-systemd
    - Use dh_installinit --name instead of --init-script
    - Add dh_systemd_enable and dh_systemd_start to debian/rules
    Thanks to Shawn Landden for providing a patch.
  * Add LSB Description header to init script.
  * Make init script source /lib/lsb/init-functions for systemd compatibility.
  * Override a number of lintian tags:
    - init.d-script-does-not-implement-optional-option etc/init.d/pppd-dns
        status
    - non-standard-dir-perm etc/chatscripts/ and etc/ppp/peers/
    - package-contains-readme-for-other-platform-or-distro
        usr/share/doc/ppp/README.win9x
    - setuid-binary usr/sbin/pppd
    - debian-watch-may-check-gpg-signature
    See the lintian overrides files for reasoning.
  * Add support for arbitrary interface naming: (Closes: #458646)
    - Add debian/patches/ppp-2.4.2-ifname.diff based on openSUSE patch.
  * Fix a potential buffer overflow in the radius plugin:
    - Add debian/patches/ppp-2.4.4-strncatfix.patch from openSUSE.
  * Update debian/copyright:
    - Add myself to the list of maintainers
    - Change reference to GPL symlink license to GPL-2
  * Update Standards-Version to 3.9.5 (no changes required).
  * Refresh debian/patches/cifdefroute.dif from OpenSUSE (Closes: #425163) and
    add patch header.

 -- Chris Boot <debian@bootc.net>  Mon, 27 Jan 2014 22:17:11 +0000

ppp (2.4.5+git20130610-3) unstable; urgency=medium

  * Revisit debian/rules and Makefile patches due to build breakage exposed by
    the addition of hardening build flags. (Closes: #734458)
    - Update debian/rules to pass COPTS/LDOPTS instead of CFLAGS/LDFLAGS.
    - Overhaul makefiles_cleanup patch. This now makes far fewer changes to the
      upstream Makefiles than previously.
    - Refresh no_crypt_hack, pppdump_use_zlib, pppoatm_resolver_light and
      zzz_config patches due to significant Makefile changes.
    Thanks to Marco d'Itri for the bulk of the Makefile work.

 -- Chris Boot <debian@bootc.net>  Tue, 07 Jan 2014 17:54:08 +0000

ppp (2.4.5+git20130610-2) unstable; urgency=low

  [ David Prévot ]
  * Add missing prepending underscore in templates. Closes: #686255

  [ Debconf translation updates ]
  * Chinese — China, Zhi Li.
  * Chinese — Taiwan, Ｖ字龍.
  * French, David Prévot.
  * Turkish, Deniz Bahadır GÜR.
  * Vietnamese, Nguyễn Vũ Hưng.
  * Slovak, Slavko (Closes: #686273)
  * Danish, Joe Hansen (Closes: #686289)
  * Russian, Yuri Kozlov (Closes: #686354)
  * Basque, Dooteo (Closes: #686415)
  * Swedish, Martin Bagge. (Closes: #686443)
  * Romanian, Andrei Popescu. (Closes: #686556)
  * Polish, Michał Kułach. (Closes: #686603)
  * German, Chris Leick. (Closes: #686609)
  * Dutch, Jeroen Schot. (Closes: #686660)
  * Portuguese, Carlos Lisboa. (Closes: #686700)
  * Brazilian Portuguese, J. S. Júnior. (Closes: #686713)
  * Japanese, victory. (Closes: #686721)
  * Spanish, Rafael Ernesto Rivas, Javier Fernandez-Sanguino Peña.
    (Closes: #686722, #686769)
  * Czech, Michal Šimůnek. (Closes: #687183)

  [ Chris Boot ]
  * Incorporate David Prévot's debconf translation updates patch from #686255.
  * Fix lintian warnings:
    - debian-rules-missing-recommended-target build-arch
    - debian-rules-missing-recommended-target build-indep
    - package-would-benefit-from-build-arch-targets
  * Add radius-config.c-unkown-typo patch to fix spelling-error-in-binary
    lintian warning.
  * Add secure-card-interpreter-fix patch to fix
    example-wrong-path-for-interpreter lintian warning.
  * Remove always_setsid patch. (Closes: #598551)
  * Add Vcs-Browser and Vcs-Git fields pointing to collab-maint/pkg-ppp.git.


=== debian/control ===
Source: ppp
Section: admin
Priority: optional
Homepage: http://ppp.samba.org/
Maintainer: Marco d'Itri <md@linux.it>
Uploaders: Chris Boot <debian@bootc.net>
Build-Depends: debhelper (>= 5), libpcap0.8-dev, libpam0g-dev, zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pkg-ppp.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-ppp.git

Package: ppp
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, libpam-runtime, procps
Breaks: network-manager (<< 0.9.8.8-7~), network-manager-pptp (<< 0.9.8.4-3~), pppdcapiplugin (<< 1:3.25+dfsg1-3.4~)
Description: Point-to-Point Protocol (PPP) - daemon
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package is most commonly used to manage a modem for dial-up or
 certain kinds of broadband connections.

Package: ppp-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection, ppp-modules, di-utils
Provides: configured-network
XB-Installer-Menu-Item: 1700
Description: Point-to-Point Protocol (PPP) - package for Debian Installer
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package is a minimal ppp package used by the Debian Installer.

Package: ppp-dev
Section: devel
Architecture: all
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Point-to-Point Protocol (PPP) - development files
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package provides files needed to build pppd-related software.

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

BUILD_UDEB := 1



D := $(CURDIR)/debian/ppp

# plugin ABI version, part of the directory name
# shell expression from pppd/plugins/Makefile.linux
PPPDDIR := $(shell awk -F '"' '/VERSION/ { print $$2; }' $(CURDIR)/pppd/patchlevel.h)


ifdef BUILD_UDEB
BUILD_UDEB_TARGET := .stamp-build-udeb
else
NO_PACKAGE := --no-package=ppp-udeb
endif

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
include /usr/share/dpkg/buildflags.mk

##############################################################################
clean:
	rm -rf .stamp-* pppd-udeb changelog-from-README
	[ ! -f Makefile ] || $(MAKE) dist-clean
	dh_clean

configure: .stamp-configure
.stamp-configure:
	dh_testdir
	./configure --prefix=/usr
	touch $@

udebdir: .stamp-udebdir
.stamp-udebdir: .stamp-configure
	if [ ! -d pppd-udeb/ ]; then \
		mkdir pppd-udeb/ && \
		cp -ldpR pppd/* pppd-udeb/; \
	fi
	cd pppd-udeb/ && make clean
	cd pppd-udeb/plugins/ && make clean
	perl -i -pe 's/ -DIPX_CHANGE\b//' pppd-udeb/Makefile
	touch $@

build-arch: build
build-indep: build
build: .stamp-build
.stamp-build: .stamp-configure
	dh_testdir
	$(MAKE) COPTS="$(CFLAGS) $(CPPFLAGS)" LDOPTS="$(LDFLAGS)"
	touch $@

build-udeb: .stamp-build-udeb
.stamp-build-udeb: .stamp-udebdir
	dh_testdir
	cd pppd-udeb/ && \
	$(MAKE) COPTS="$(CFLAGS) $(CPPFLAGS) -Os -fomit-frame-pointer" \
		LDOPTS="$(LDFLAGS)" \
		CHAPMS= USE_CRYPT= NO_CRYPT_HACK=1 MPPE= \
		FILTER= HAVE_MULTILINK= USE_TDB= \
		HAS_SHADOW= USE_PAM= HAVE_INET6= \
		CBCP= USE_SRP= MAXOCTETS= USE_BUILTIN_CRYPTO=1 \
	&& \
	cd plugins/ && \
	$(MAKE) COPTS="$(CFLAGS) $(CPPFLAGS) -Os -fomit-frame-pointer" \
		LDOPTS="$(LDFLAGS)" \
		SUBDIRS='rp-pppoe pppoatm' PLUGINS=
	touch $@

install: .stamp-build $(BUILD_UDEB_TARGET) checkroot
	dh_testdir
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$D/usr/

	{ \
	  sed -e "/^What's new in ppp-/,/^. New hooks have been added./!d" README ; \
	  echo ; \
	  echo ; \
	  cat Changes-2.3 ; \
	} > changelog-from-README

binary-arch: install
	rm -rf $D/etc/ppp/*-secrets
	mv $D/usr/include/ $D-dev/usr/

	install -m755 debian/extra/pon debian/extra/plog debian/extra/poff $D/usr/bin/
	cp debian/extra/pon.completion $D/etc/bash_completion.d/pon

	cp debian/extra/options $D/etc/ppp/
	install -m755 debian/extra/ip-up debian/extra/ip-down debian/extra/ipv6-up debian/extra/ipv6-down \
		$D/etc/ppp/
	install -m755 debian/extra/0000usepeerdns-up $D/etc/ppp/ip-up.d/0000usepeerdns
	install -m755 debian/extra/0000usepeerdns-down \
		$D/etc/ppp/ip-down.d/0000usepeerdns

	install -m644 debian/extra/pap-secrets debian/extra/chap-secrets \
		debian/extra/provider.peer debian/extra/provider.chatscript \
		$D/usr/share/ppp/
	install -m644 debian/extra/chatscript.pap $D/etc/chatscripts/pap
	install -m644 debian/extra/chatscript.gprs $D/etc/chatscripts/gprs

	dh_installchangelogs -a changelog-from-README
	dh_installdocs
	dh_installexamples scripts/ debian/extra/autopppd debian/extra/userscripts-* \
		debian/extra/popp debian/extra/filters debian/extra/options.ttyXX \
		debian/extra/peers-* debian/extra/interfaces debian/extra/per-linkname
	# use our own version, not the upstream one
	mv $D/usr/share/doc/ppp/examples/autopppd \
		$D/usr/share/doc/ppp/examples/scripts/
	dh_installman debian/extra/pon.1 debian/extra/pppoe-discovery.8
	dh_link
	dh_installlogrotate
	dh_installinit -pppp --name=pppd-dns --no-start
	dh_installpam
	dh_lintian

ifdef BUILD_UDEB
	grep '^[a-zA-Z0-9]' debian/extra/options | grep -v '^noipx' \
		> $D-udeb/etc/ppp/options
#	cp chat/chat $D-udeb/usr/sbin/
	cp pppd-udeb/pppd $D-udeb/usr/sbin/
	cp pppd-udeb/pppd pppd-udeb/plugins/rp-pppoe/pppoe-discovery \
		$D-udeb/usr/sbin/
	mkdir -p $D-udeb/usr/lib/pppd/$(PPPDDIR)/
	cp pppd-udeb/plugins/rp-pppoe/rp-pppoe.so \
		pppd-udeb/plugins/pppoatm/pppoatm.so \
		$D-udeb/usr/lib/pppd/$(PPPDDIR)/
	install -m755 debian/extra/ppp-udeb.ip-up $D-udeb/etc/ppp/ip-up
	install -m755 debian/extra/ppp-udeb-postbaseinst \
		$D-udeb/usr/lib/post-base-installer.d/30ppp
	dh_installdebconf
endif

	dh_strip		-a
	dh_compress		-a
	dh_fixperms		-a

	chown root:dip $D/usr/sbin/pppd \
		$D/etc/ppp/ $D/etc/ppp/peers/ $D/etc/chatscripts/
	chmod 4754 $D/usr/sbin/pppd
	chmod 2750 $D/etc/ppp/peers/ $D/etc/chatscripts/

	dh_md5sums		-a
	dh_shlibdeps		-a
	dh_installdeb		-a

	dh_gencontrol		-a $(NO_PACKAGE)
	dh_builddeb		-a $(NO_PACKAGE)

binary-indep: install
	dh_installchangelogs	-i changelog-from-README
	dh_installdocs		-i

	dh_compress		-i
	dh_fixperms		-i

	dh_md5sums		-i
	dh_installdeb		-i
	dh_gencontrol		-i 
	dh_builddeb		-i


binary:	binary-arch binary-indep

checkroot:
	test root = "`whoami`"

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --rename --force-download --watchfile debian/watch --destdir $(CURDIR)

.PHONY: binary binary-arch binary-indep unpack configure build clean checkroot

## ppp 2.4.7

=== debian/changelog ===
ppp (2.4.7-2+2ubuntu1.3) bionic-security; urgency=medium

  * SECURITY UPDATE: arbitrary file disclosure vulnerability
    - debian/patches/load_ppp_generic_if_needed: removed, ppp has been
      built into Ubuntu kernels since at least 2012.
    - CVE-2020-15704

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Jul 2020 08:55:31 -0400

ppp (2.4.7-2+2ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: rhostname buffer overflow
    - debian/patches/CVE-2020-8597.patch: fix bounds check in EAP code in
      pppd/eap.c.
    - CVE-2020-8597

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 Feb 2020 10:05:26 -0500

ppp (2.4.7-2+2ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 Jun 2018 13:20:17 -0400

ppp (2.4.7-2+2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols: updated for Ubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Mar 2018 20:37:19 +0100

ppp (2.4.7-2+2) unstable; urgency=medium

  * Correct a bug in MS-CHAP authentication introduced in 2.4.7-2+1~exp1 which
    prevented such authentication from working altogether. (Closes: #891413)

 -- Chris Boot <bootc@debian.org>  Sun, 25 Feb 2018 22:28:25 +0000

ppp (2.4.7-2+1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols: updated for Ubuntu.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Feb 2018 14:11:03 +0100

ppp (2.4.7-2+1) unstable; urgency=medium

  [ Алексей Шилин ]
  * debian-installer udeb: use /bin/ip instead of /sbin/ifconfig in the
    interfaces configuration for the installed system. (Closes: #889295)

  [ Chris Boot ]
  * Upload to unstable.

 -- Chris Boot <bootc@debian.org>  Sat, 17 Feb 2018 10:19:58 +0000

ppp (2.4.7-2+1~exp1) experimental; urgency=medium

  * Switch to debhelper compat level 11.
    - Set debian/compat to 11.
    - Bump Build-Depends on debhelper to >= 11~.
    - Remove Build-Depends on dh-systemd.
    - Remove implicit --with systemd from debian/rules.
    - Switch to dh_installsystemd helper.
  * Update Standards-Version to 4.1.3:
    - Remove Priority extra from ppp-dev.
  * debian/rules: use dpkg helpers for parsing debian/changelog.
  * Incorporate the EAP-TLS patch for pppd: (Closes: #602503)
    - debian/patches/eaptls-mppe.patch: add ppp-2.4.7-eaptls-mppe-0.999.patch.
    - debian/control: add libssl-dev to Build-Depends.
    - debian/changelog: bump the ABI revision number to account for removed
      symbols (MD5 now comes from OpenSSL).
    - debian/rules: don't include EAP-TLS support in the udeb build.
  * debian/changelog: remove trailing whitepace.
  * Switch to OpenSSL implementations of MD4, MD5 and SHA1: (Closes: #826625)
    - debian/patches/replace-vendored-hash-functions.patch: remove embedded
      crypto code copies, unconditionally link with libcrypto, update
      includes, amend call sites as required.
    - debian/ppp.symbols: remove dropped symbols.
  * Import patches added to upstream Git since the 2.4.7 upstream release,
    correcting numerous minor bugs. Of note:
    - 0002-pppd-add-support-for-defaultroute-metric-option.patch: this patch
      is NOT currently applied due to conflicts with the cifdefroute.dif
      patch, which adds the replacedefaultroute and noreplacedefaultroute
      options.
    - 0013-pppd-allow-use-of-arbitrary-interface-names.patch: upstream import
      of our ppp-2.4.2-ifname.diff patch.
    - 0016-pppoe-include-netinet-in.h-before-linux-in.h.patch: upstream patch
      that replaces our fix-rp-pppoe-ftbfs.patch.
    - Refreshed 018_ip-up_option.diff and makefiles_cleanup on top of the new
      patches.
  * Tweak pon and poff bash-completions files for new versions of
    bash-completion. (Closes: #882199)
  * debian/ppp-udeb.postinst: consider interface names using udev predictable
    interface naming. (Closes: #873391)
  * d/control: declare that the build requires root.
  * Move packaging from Alioth to Salsa.
  * Upload to experimental.

 -- Chris Boot <bootc@debian.org>  Sun, 11 Feb 2018 19:17:06 +0000

ppp (2.4.7-1+4ubuntu3) bionic; urgency=high

  * Replace debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch with
    debian/patches/ppp-2.4.7-eaptls-mppe-0.999.patch:
    - Use a modified, newer patch for the EAP-TLS/MPPE support that works with
      openssl1.1. Fixes FTBFS.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Feb 2018 01:11:51 +0100

ppp (2.4.7-1+4ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:03 +0000

ppp (2.4.7-1+4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.


=== debian/control ===
Source: ppp
Section: admin
Priority: optional
Homepage: http://ppp.samba.org/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
Uploaders: Marco d'Itri <md@linux.it>
Build-Depends:
 debhelper (>= 11~),
 libpam0g-dev,
 libpcap0.8-dev,
 libssl-dev,
 zlib1g-dev,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/ppp
Vcs-Git: https://salsa.debian.org/debian/ppp.git
Rules-Requires-Root: binary-targets

Package: ppp
Architecture: linux-any
Depends:
 libpam-modules,
 libpam-runtime,
 lsb-base,
 procps,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 network-manager (<< 0.9.8.8-7~),
 network-manager-pptp (<< 0.9.8.4-3~),
 pppdcapiplugin (<< 1:3.25+dfsg1-3.4~),
Description: Point-to-Point Protocol (PPP) - daemon
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package is most commonly used to manage a modem for dial-up or
 certain kinds of broadband connections.

Package: ppp-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends:
 di-utils,
 ethernet-card-detection,
 ppp-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: configured-network
XB-Installer-Menu-Item: 1700
Description: Point-to-Point Protocol (PPP) - package for Debian Installer
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package is a minimal ppp package used by the Debian Installer.

Package: ppp-dev
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: debhelper
Description: Point-to-Point Protocol (PPP) - development files
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package provides files needed to build pppd-related software.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Activate full hardening build flags
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

PKD := $(abspath $(dir $(MAKEFILE_LIST)))

include /usr/share/dpkg/default.mk

DIR_PPP := $(CURDIR)/debian/ppp
DIR_PPP_DEV := $(CURDIR)/debian/ppp-dev

TMP_PPP := $(CURDIR)/debian/tmp-ppp
TMP_UDEB := $(CURDIR)/debian/tmp-udeb

PPP_PLUGIN_ABI := $(shell awk -F '"' '/VERSION/ { print $$2; }' \
	$(CURDIR)/pppd/patchlevel.h)
VERSION_DEBIAN := $(shell echo '$(DEB_VERSION)' | \
	perl -ne 'print $$1 if m{^(?:\d+:)?(?:\d.*)\-(\d+.*)$$};')
VERSION_ABI_PART := $(shell echo "$(VERSION_DEBIAN)" | \
	perl -ne 'print $$1 if m{^(^\d+)\+};')

UDEB_MAKEOPTS := \
	CHAPMS= USE_CRYPT= NO_CRYPT_HACK=1 MPPE= FILTER= HAVE_MULTILINK= \
	USE_TDB= HAS_SHADOW= USE_PAM= HAVE_INET6= CBCP= USE_SRP= MAXOCTETS= \
	USE_BUILTIN_CRYPTO=1 USE_EAPTLS=
UDEB_PLUGIN_DIRS := pppoatm rp-pppoe

##############################################################################
%:
	dh $@

override_dh_testdir:
	dh_testdir
	if [ "$(PPP_PLUGIN_ABI)" != "$(DEB_VERSION_UPSTREAM)" ]; then \
	  echo; echo "**********"; \
	  echo "VERSION in pppd/patchlevel.h must match upstream version."; \
	  echo "Upstream version is '$(DEB_VERSION_UPSTREAM)'"; \
	  echo "VERSION is '$(PPP_PLUGIN_ABI)'"; \
	  echo "Aborting the build."; \
	  echo "**********"; echo; \
	  exit 1; \
	fi
	if [ -z "$(VERSION_ABI_PART)" ]; then \
	  echo; echo "**********"; \
	  echo "No ABI component found in the Debian revision field."; \
	  echo "Please see debian/README.source for more information."; \
	  echo "Aborting the build."; \
	  echo "**********"; echo; \
	  exit 1; \
	fi

override_dh_auto_clean:
	rm -rf pppd-udeb changelog-from-README $(TMP_PPP) $(TMP_UDEB) \
		debian/extra/dh_ppp.1p
	[ ! -f Makefile ] || $(MAKE) dist-clean

override_dh_auto_configure:
	./configure --prefix=/usr
	if [ ! -d pppd-udeb/ ]; then \
		mkdir pppd-udeb/ && \
		cp -ldpR pppd/* pppd-udeb/; \
	fi
	cd pppd-udeb/ && make clean
	cd pppd-udeb/plugins/ && make clean
	perl -i -pe 's/ -DIPX_CHANGE\b//' pppd-udeb/Makefile

changelog-from-README:
	{ \
	  sed -e "/^What's new in ppp-/,/^. New hooks have been added./!d" README ; \
	  echo ; \
	  echo ; \
	  cat Changes-2.3 ; \
	} > changelog-from-README

override_dh_auto_build-arch: changelog-from-README
	dh_auto_build -- \
		COPTS="$(CFLAGS) $(CPPFLAGS)" LDOPTS="$(LDFLAGS)"
	dh_auto_build -Dpppd-udeb/ -- \
		COPTS="$(CFLAGS) $(CPPFLAGS) -Os -fomit-frame-pointer" \
		LDOPTS="$(LDFLAGS)" \
		$(UDEB_MAKEOPTS)
	dh_auto_build -Dpppd-udeb/plugins -- \
		COPTS="$(CFLAGS) $(CPPFLAGS) -Os -fomit-frame-pointer" \
		LDOPTS="$(LDFLAGS)" \
		SUBDIRS="$(UDEB_PLUGIN_DIRS)" PLUGINS=

override_dh_auto_build-indep: changelog-from-README
	pod2man --section=1p --utf8 debian/extra/dh_ppp \
		debian/extra/dh_ppp.1p

override_dh_auto_install-arch:
	dh_auto_install --destdir=$(TMP_PPP)/usr/
	dh_auto_install -Dpppd-udeb/ --destdir=$(TMP_UDEB)/usr/ -- \
		$(UDEB_MAKEOPTS)

	for DIR in $(UDEB_PLUGIN_DIRS); do \
		dh_auto_install -Dpppd-udeb/plugins/$$DIR \
			--destdir=$(TMP_UDEB)/usr/; \
	done

override_dh_auto_install-indep:
	$(MAKE) install-devel DESTDIR=$(DIR_PPP_DEV)/usr/
	mkdir -p $(DIR_PPP_DEV)/usr/share/ppp-dev
	$(PKD)/gen_substvars_dev $(DEB_VERSION_UPSTREAM) $(VERSION_ABI_PART) \
	  > $(DIR_PPP_DEV)/usr/share/ppp-dev/substvars

override_dh_installchangelogs:
	dh_installchangelogs changelog-from-README

override_dh_installexamples-arch:
	dh_installexamples

	# use our own version, not the upstream one
	mv $(DIR_PPP)/usr/share/doc/ppp/examples/autopppd \
		$(DIR_PPP)/usr/share/doc/ppp/examples/scripts/

override_dh_installinit:
	dh_installinit --name=pppd-dns --no-stop-on-upgrade --no-start

override_dh_installsystemd:
	dh_installsystemd --name=pppd-dns --no-stop-on-upgrade --no-start

override_dh_perl:
	dh_perl -d --package=ppp-dev
	dh_perl --no-package=ppp-dev

override_dh_fixperms-arch:
	dh_fixperms
	chown root:dip \
		$(DIR_PPP)/etc/chatscripts/ \
		$(DIR_PPP)/etc/ppp/ \
		$(DIR_PPP)/etc/ppp/peers/ \
		$(DIR_PPP)/usr/sbin/pppd
	chmod 4754 $(DIR_PPP)/usr/sbin/pppd
	chmod 2750 $(DIR_PPP)/etc/ppp/peers/ $(DIR_PPP)/etc/chatscripts/

# Force dpkg-gensymbols to inspect pppd (it doesn't end .so) so that the
# symbols file is generated. This needs the SONAME hack that gets applied in
# debian/patches/pppd-soname-hack.patch to work. The -c2 below makes sure that
# the build fails if there are any discrepancies in the symbols file in order
# to catch ABI changes.
override_dh_makeshlibs:
	dh_makeshlibs --package=ppp -- -c2 -edebian/ppp/usr/sbin/pppd -V
	dh_makeshlibs --no-package=ppp

## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source: $(info I: $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(DEB_VERSION_UPSTREAM) $(PKD)
